Eclipse Foundation Member
JUnit 5 Support for Oxygen Eclipse Project

Details Group Tabs

Installs Last Update: 
Sunday, February 18, 2018 - 14:30
gdiazkt3's picture

No repository found at http://download.eclipse.org/eclipse/updates/none.

 

today is January 8th... and still i cannot install it

 

regards.

 

 

dmegert's picture

Please read the previous posts in this thread.

afaelschle's picture

Here is my JUnit5 Test Suite code:

package org.totalbeginne.tutorialr;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

@RunWith(Suite.class)
@SuiteClasses({  BookTest.class, PersonTest.class})
public class AllTests
{
}

 

I run this as a JUnit Test but it does not invoke any actual test (runtime is 0.000 s). I know this because I forced a failure and it did not report any.

ngupta's picture

Please check JUnit 5 user guide for correct usage: http://junit.org/junit5/docs/current/user-guide.

Report any JUnit 5 bug here: https://github.com/junit-team/junit5.

Report any Eclipse bug here: https://bugs.eclipse.org/bugs/enter_bug.cgi?product=JDT&component=UI.

gbishopl7o's picture

When attempting to install I get this error: No repository found at http://download.eclipse.org/eclipse/updates/none.

dmegert's picture

JUnit 5 is part of the latest release (4.7.1a) and also 4.8 M3. We've left this entry to give that information but the install itself has been retired.

ngupta's picture

Please use the update site http://download.eclipse.org/releases/oxygen/ to update your existing Eclipse Oxygen installation. Or, download Oxygen.1a and above from https://www.eclipse.org/downloads/eclipse-packages having JUnit 5 support.

aleber's picture

I have the same problem, but with "Eclipse IDE for Java Developers, Oxygen.2 Release (4.7.2)".
This should currently be the newest.

I am new to Java. Please support on how I can get Junit installed.
Thanks!

ngupta's picture

"Eclipse IDE for Java Developers, Oxygen.2 Release (4.7.2)" already contains JUnit 5 support. You don't need to install it separately.

bwoodxf4's picture

Could not find http://download.eclipse.org/releases/oxygen/201710111001/

No repository found at http://download.eclipse.org/releases/oxygen/201710111001/.

An exception stack trace is not available.

ngupta's picture

Looks like a temporary network issue. The update site works with Help > Install New Software... in Eclipse 4.7 and 4.7.1.